> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.ordergroove.com/_mcp/server.

# Manage Digital Plan Product

POST https://restapi.ordergroove.com/products/{product_id}/resource_grants/manage/
Content-Type: application/json

This API allows you to take an existing standard product and configure it into a valid digital plan product or to manage an existing configuration.

This endpoint accepts the Application API Scope only. Storefront API Scope signatures are rejected.

Reference: https://developer.ordergroove.com/reference/rest-rpc-api/products/manage-digital-plan-product

## Authentication

- `x-api-key` header (required) — Application API Scope — server-to-server, sent in the `x-api-key` header. See [Authentication](/api-reference/authentication).

## Request

### Path parameters

- `product_id` (string, required, default: Merchant product id)

### Body (application/json)

This endpoint expects an object.

- `create` (list of ProductsProductIdResourceGrantsManagePostRequestBodyContentApplicationJsonSchemaCreateItems, optional) — Add new resource grants for your digital plan product
- `update` (list of ProductsProductIdResourceGrantsManagePostRequestBodyContentApplicationJsonSchemaUpdateItems, optional) — Update existing resource grants for product
- `delete` (list of string, optional) — Delete existing resource grants with public ids to be deleted , ex: ["85eae83c245111eeb185acde48001122","b3928a0c3c4211eeac2bacde48001122"]
- `identifier_time_amount` (string, optional, default: product.every * product.every_period) — This is the time_amount for the identifier resource grant in seconds
- `identifier_grace_period` (string, optional) — This is the grace_period for the identifier resource grant in seconds

## Response

### 200

200

## Errors

### 400 Bad Request Error

400

## Types

### ProductsProductIdResourceGrantsManagePostRequestBodyContentApplicationJsonSchemaCreateItems

- `resource` (string, optional) — resource public_id
- `time_amount` (integer, optional, default: 1) — number of seconds to be granted for said resource
- `grace_period` (integer, optional) — time in seconds to grant as a grace period

### ProductsProductIdResourceGrantsManagePostRequestBodyContentApplicationJsonSchemaUpdateItems

- `public_id` (string, optional) — resource grant public id to be updated
- `resource` (string, optional, default: public id of resource) — public id of resource to grant to
- `time_amount` (string, optional, default: 1) — time in seconds to grant for resource
- `grace_period` (integer, optional) — time in seconds to grant as a grace period

## Examples

**Request**

```json
{}
```

**Response**

```json
{}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/products/Merchant%20product%20id/resource_grants/manage/"

payload = {}
headers = {
    "x-api-key": "<apiKey>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/products/Merchant%20product%20id/resource_grants/manage/';
const options = {
  method: 'POST',
  headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/products/Merchant%20product%20id/resource_grants/manage/"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("x-api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/products/Merchant%20product%20id/resource_grants/manage/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["x-api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://restapi.ordergroove.com/products/Merchant%20product%20id/resource_grants/manage/")
  .header("x-api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://restapi.ordergroove.com/products/Merchant%20product%20id/resource_grants/manage/', [
  'body' => '{}',
  'headers' => [
    'Content-Type' => 'application/json',
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/products/Merchant%20product%20id/resource_grants/manage/");
var request = new RestRequest(Method.POST);
request.AddHeader("x-api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = [
  "x-api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/products/Merchant%20product%20id/resource_grants/manage/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```